The RRDCreator class

- « rrdc_disconnect

- RRDCreator::addArchive »

- PHP Manual
- RRD
- The RRDCreator class

# The RRDCreator class

(PECL rrd >= 0.9.0)

## Introduction

Class for creation of RRD database file.

## Class synopsis

class RRDCreator {
/* Methods */
public __construct(string `$path`, string `$startTime` = ?, int `$step` = 0)
public addArchive(string `$description`): void
public addDataSource(string `$description`): void
public save(): bool
}

## Table of Contents

- RRDCreator::addArchive — Adds RRA - archive of data values for each data source
- RRDCreator::addDataSource — Adds data source definition for RRD database
- RRDCreator::__construct — Creates new RRDCreator instance
- RRDCreator::save — Saves the RRD database to a file